## mapsembler2 2.0.5+dfsg

=== debian/changelog ===
mapsembler2 (2.0.5+dfsg-2) unstable; urgency=low

  * d/control: Add missing build dep

 -- Olivier Sallou <osallou@debian.org>  Thu, 06 Feb 2014 08:06:55 +0100

mapsembler2 (2.0.5+dfsg-1) unstable; urgency=medium

  * First debian package (Closes: #737099).

 -- Olivier Sallou <osallou@debian.org>  Sat, 01 Feb 2014 16:55:29 +0100
