=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRC_VERSION =$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download --repack --repack-compression xz

override_dh_auto_build:
	dh_auto_build
	cd maps && make k=29
	cd kissreads_g && make k=29


override_dh_clean:
	cd minia && make clean
	cd kissreads_g && make clean
	cd maps && make clean
	rm -f maps/mapsembler
	rm -f kissreads_g/kissreads_graph
	rm -f run_mapsembler_and_phaser
	rm -f run_mapsembler_and_phaser.1
	rm -f mapsembler.1
	rm -f kissreads_graph.1
	dh_clean

override_dh_install:
	cp run_mapsembler_and_phaser.sh run_mapsembler_and_phaser
	help2man --help-option=-h --version-string=$(SRC_VERSION) ./run_mapsembler_and_phaser > run_mapsembler_and_phaser.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./maps/mapsembler > mapsembler.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./kissreads_g/kissreads_graph > kissreads_graph.1
	dh_install
