=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg//g" http://colibread.inria.fr/mapsembler2/ https://colibread.inria.fr/files/\d+/\d+/mapsembler2_(2\.[.\d]+)\.zip
