## mapsembler2 2.1.6+dfsg

=== debian/changelog ===
mapsembler2 (2.1.6+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 29 May 2014 15:07:28 +0200

mapsembler2 (2.1.2+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Feb 2014 15:42:22 +0100

mapsembler2 (2.0.31-1) unstable; urgency=low

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Feb 2014 15:13:29 +0100
