=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRC_VERSION =$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_build:
	dh_auto_build
	cd maps && make


override_dh_clean:
	cd maps && make clean
	rm -f maps/mapsembler
	rm -f mapsembler.1
	dh_clean

override_dh_install:
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./maps/mapsembler > mapsembler.1
	dh_install
