## mapsembler2 2.2.3+dfsg

=== debian/changelog ===
mapsembler2 (2.2.3+dfsg-2) unstable; urgency=medium

  * Some DEP5 fixes
  * Fix clean target
    Closes: #766791
  * cme fix dpkg-control
  * [O. Sallou] d/control: limit target archs, upstream code uses some code
    not valid on other archs, could not find an appropriate patch for this
    (lower #765285 to normal).

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2014 17:42:21 +0100

mapsembler2 (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix some compilation issues 
  * Fix FTBS on non x86 (Closes: #765285).

 -- Olivier Sallou <osallou@debian.org>  Fri, 19 Sep 2014 13:41:47 +0200

mapsembler2 (2.2.1+dfsg-3) unstable; urgency=medium

  [Gilles Filippini <pini@debian.org> ]
  * Support hdf5 1.8.13 new packaging layout (Closes: #758730).
  * Fix FTBFS due to broken help2man call in debian/rules.

 -- Olivier Sallou <osallou@debian.org>  Wed, 20 Aug 2014 12:21:26 +0200

mapsembler2 (2.2.1+dfsg-2) unstable; urgency=medium

  * Fix kissreads file conflict with discoSnp (Closes: #758648).

 -- Olivier Sallou <osallou@debian.org>  Tue, 19 Aug 2014 08:53:07 +0200

mapsembler2 (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    Change of license to AGPL-3

 -- Olivier Sallou <osallou@debian.org>  Thu, 29 May 2014 15:07:28 +0200
