=== debian/control ===
--- 
+++ 
@@ -1,19 +1,28 @@
 Source: mapsembler2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Olivier Sallou <osallou@debian.org>
+Uploaders: Olivier Sallou <osallou@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
- bc, zlib1g-dev, help2man
-Standards-Version: 3.9.5
+               cmake,
+               bc,
+               zlib1g-dev,
+               help2man,
+               libhdf5-dev,
+               libcppunit-dev,
+               libboost-dev
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mapsembler2/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mapsembler2/trunk/
 Homepage: http://colibread.inria.fr/mapsembler2/
 
 Package: mapsembler2
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         zlib1g, bc
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 ppc64el s390x
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         zlib1g,
+         bc
 Description: bioinformatics targeted assembly software
  Mapsembler2 is a targeted assembly software.
  It takes as input a set of NGS raw reads (fasta or fastq, gzipped or not)
