=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SRC_VERSION =$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

ifneq ($(wildcard /usr/include/hdf5/serial),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_build:
	mkdir mapsembler2_extremities/build
	cd mapsembler2_extremities/build && cmake .. && make
	cd mapsembler2_extend && make k=29
	cd kissreads_graph && make k=29
	cd kissreads && make k=29


override_dh_clean:
	rm -rf mapsembler2_extremities/build
	cd mapsembler2_extend && make clean
	rm -f mapsembler2_extend/mapsembler_extend
	cd kissreads_graph && make clean
	rm -f kissreads_graph/mapsembler2_kissreads_graph
	cd kissreads && make clean
	rm -f kissreads/mapsembler2_kissreads

	rm -f mapsembler2_extremities.1
	rm -f mapsembler_extend.1
	rm -f kissreads.1
	rm -f kissreads_graph.1
	dh_clean

override_dh_install:
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./mapsembler2_extremities/build/mapsembler2_extremities > mapsembler2_extremities.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./mapsembler2_extend/mapsembler_extend > mapsembler_extend.1
	mv ./kissreads/kissreads ./kissreads/mapsembler2_kissreads
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./kissreads/mapsembler2_kissreads > mapsembler2_kissreads.1
	mv ./kissreads_graph/kissreads_graph ./kissreads_graph/mapsembler2_kissreads_graph
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./kissreads_graph/mapsembler2_kissreads_graph > mapsembler2_kissreads_graph.1
	cp run_mapsembler2_pipeline.sh run_mapsembler2_pipeline
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) ./run_mapsembler2_pipeline > run_mapsembler2_pipeline.1
	dh_install
