=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr
Architecture: amd64 arm64 kfreebsd-amd64 ppc64el s390x
